Priority: Normal Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category:    

Target version: ISTI Open Portal Tasks   

Description

Can you permit the access to  SOLR apis (https)?

@Federico: Add here the list of your addresses.

Related issues:

Related to ISTI Open Access - Feature #19414: Develop a method exposing figur... Closed Jun 01, 2020

History

#1 - Jun 03, 2019 12:17 PM - Andrea Dell'Amico

Just added Federico as a member, so that he can comment the ticket.

#2 - Jun 03, 2019 01:01 PM - Anonymous

146.48.80.156 (where the test site is hosted)

146.48.84.238 (my IP)

146.48.87.246 (my colleague IP)

#3 - Jun 03, 2019 01:15 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#4 - Jun 03, 2019 01:15 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

Done. Can you check?

#5 - Jun 03, 2019 02:00 PM - Leonardo Candela

What is the motivation behind this task? What Federico is going to do? 

#6 - Jun 20, 2019 10:53 AM - Andrea Dell'Amico

@michele.artini@isti.cnr.it do you have an answer to the @leonardo.candela@isti.cnr.it's question? Can we close this task?

#7 - Jun 20, 2019 10:59 AM - Leonardo Candela

AFAIK this was needed in order to give @federico.volpini@isti.cnr.it the possibility to fetch content from Open Portal when developing the ISTI

website. 

To me this is not the right approach, i.e. it is meaningless to replicate the facilities we have for accessing Open Portal content by the ISTI website. 

The ISTI website should make use of links redirecting to ISTI Open Portal to access the publications of a person, of an institute, for the statistics etc. 

I would suggest going in this direction and not give access to Open Portal data other than by Open Portal website (and OAI-PMH in future). 

#8 - Jun 20, 2019 11:10 AM - Anonymous

- Status changed from Feedback to Closed

The current ISTI website makes use of links to ISTI Open Portal.

The requests to solr are from a new version of the website, actually in development.
#9 - Jun 20, 2019 12:02 PM - Leonardo Candela

- Status changed from Closed to In Progress

We are going to remove the possibility to access SOLR to machines other than the portal.

#10 - Jun 20, 2019 02:32 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

Done.

#11 - Jun 25, 2020 12:11 PM - Andrea Dell'Amico

- Related to Feature #19414: Develop a method exposing figures on the "latest" 15 years publications   added
